Subject: Re: bug#10212: 24.0.92; report-emacs-bug raises Gnutls error

From: Stephen Berman <[email-masked]>
Date: Sun, 04 Dec 2011 18:20:33 +0100

On Sun, 04 Dec 2011 18:16:20 +0100 Stephen Berman <[email-masked]> wrote:

> On Sun, 04 Dec 2011 17:51:25 +0100 Stephen Berman <[email-masked]>
> wrote:
>
>> When I submit a bug report using `M-x report-emacs-bug', upon sending the
>> report (via smtpmail-send-it), Emacs displays the following in the echo
>> area:
>>
>>    gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly
>>    terminated. 
>>
>> This does not happen if I send email from within Gnus using the same
>> smtpmail-send-it method (both report-emacs-bug and Gnus also use
>> message-mode).
>
> This is evidently incorrent.  First, the error message was not displayed
> after sending the above report (though it was after sending one shortly
> before).  Second, I then checked in *Messages* and found the error
> message also earlier, after I had sent another email from Gnus (not
> using report-emacs-bug).  So it just seems to happens sometimes, which I
> guess makes it less likely to have anything to do with Emacs.  So unless
> someone can see a reason why Emacs may be involved, maybe this bug
> should be marked notabug (for Emacs).

After sending this followup (from Gnus via smtpmail-send-it), the
message was displayed again.  There seems to be a race condition or other
timing issue involved.

Steve Berman